summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAnish Athalye <me@anishathalye.com>2015-05-22 13:33:10 -0400
committerAnish Athalye <me@anishathalye.com>2015-05-22 13:33:10 -0400
commit9c1af76e9ef1c1c9f78615d88af7de39f157e341 (patch)
tree77c275ad24b8c8d3695166d43bf56f274f8e36fc /tools
parentfd7f3b85514b3aca17afda51ff0ee22937388451 (diff)
Add Mercurial install script
Diffstat (limited to 'tools')
-rwxr-xr-xtools/hg-subrepo/install14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/hg-subrepo/install b/tools/hg-subrepo/install
new file mode 100755
index 0000000..3d97dd0
--- /dev/null
+++ b/tools/hg-subrepo/install
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -e
+
+CONFIG="install.conf.yaml"
+DOTBOT_DIR="dotbot"
+
+DOTBOT_BIN="bin/dotbot"
+BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
+cd "${BASEDIR}"
+
+(cd "${DOTBOT_DIR}" && git submodule update --init --recursive)
+"${BASEDIR}/${DOTBOT_DIR}/${DOTBOT_BIN}" -d "${BASEDIR}" -c "${CONFIG}" "${@}"